[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

cipe



On Mon, 21 Jul 2003, Nalin Dahyabhai wrote:

> On Mon, Jul 21, 2003 at 04:12:49PM -0600, Chris Ricker wrote:
> > Speaking of which, one thing I'd like (sorry for those of you who've heard 
> > me complain before about this ;-) is a current version of cipe. Is there any 
> > technical reason RH still ships cipe 1.4? Is there anything I can do to help 
> > shift to cipe 1.5?
> 
> Last we checked (some time ago, to be sure), the format of the packets
> being transmitted over the link was version-dependent.  Haven't checked
> lately, though, so things may have changed there.

With cipe-1.5.4, if you do

./configure --enable-protocol=3 (or just ./configure)

you get the exact same protocol in 1.5 that you get in 1.4. That 
interoperates with the cipe-1.4.x stuff RH ships currently

If you do

./configure --enable-protocol=4

you get the new protocol with all the new features. That doesn't 
interoperate.

If you do both, then you wind up with two daemon / kernel module pairs:

ciped-cb deamon / cipcb module, which does protocol 3 (compatible w/ cipe 1.4)
ciped-db deamon / cipdb module, which does protocol 4 (the good stuff ;-)

so people who need compatible can use ciped-cb, and people who need IPv6,
cert-based authentication, ethernet bridging, etc can use ciped-db

later,
chris




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]